### Function

# Gcr Comparable memcmp

#### Declaration [src]

    gint
    gcr_comparable_memcmp (
      gconstpointer mem1,
      gsize size1,
      gconstpointer mem2,
      gsize size2
    )

#### Description [src]

Compare two blocks of memory. The return value can be used to sort the blocks of memory.

#### Parameters

`mem1` | An array of `guint8`
| First block of memory.
| The length of the array is specified in the `size1` argument.
`size1` | `gsize`
| Length of first block.
`mem2` | An array of `guint8`
| Second block of memory.
| The length of the array is specified in the `size2` argument.
`size2` | `gsize`
| Length of second block.

#### Return value

Returns: | `gint`
| Zero if the blocks are identical, negative if first less than secend, possitive otherwise.